import _regeneratorRuntime from "@babel/runtime/regenerator";
import _asyncToGenerator from "@babel/runtime/helpers/asyncToGenerator";
import React from 'react';

function noop() {} // eslint-disable-next-line @typescript-eslint/no-explicit-any


var FoundationTableRowGroupContext = React.createContext({
  collapse: noop,
  columns: [],
  expand: noop,
  highlight: noop,
  isExpanded: false,
  isHandled: false,
  isHighlighted: false,
  isTransparent: false,
  refetchTable: function () {
    var _refetchTable = _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee() {
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
            case "end":
              return _context.stop();
          }
        }
      }, _callee);
    }));

    function refetchTable() {
      return _refetchTable.apply(this, arguments);
    }

    return refetchTable;
  }(),
  remove: noop,
  setHandled: noop,
  setTransparent: noop,
  toggleExpanded: noop,
  toggleHandled: noop,
  toggleHighlighted: noop,
  toggleTransparent: noop,
  unhighlight: noop,
  unsetHandled: noop,
  unsetTransparent: noop,
  update: noop
});

function Provider(_ref) {
  var children = _ref.children,
      value = _ref.value;
  return React.createElement(FoundationTableRowGroupContext.Provider, {
    value: value
  }, children);
}

function Consumer(_ref2) {
  var children = _ref2.children;
  return React.createElement(FoundationTableRowGroupContext.Consumer, null, function (context) {
    return children(context);
  });
} // Yes, this should be a `default` export.


export default {
  Consumer: Consumer,
  Context: FoundationTableRowGroupContext,
  Provider: Provider
};
//# sourceMappingURL=FoundationTableRowGroupContext.js.map